<?xml version="1.0" encoding="UTF-8"?> 

<xsl:stylesheet version="1.0" 
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:variable name="pict" select="/album/pict"/>
 <xsl:variable name="skin" select="/album/skin"/>

 <xsl:template match="/">
  <html>
   <head>
    <title>
     Fotoalbum
    </title>
    <link rel="stylesheet" href="album.css" type="text/css" />
    <link rel="stylesheet" href="{$skin}.css" type="text/css" />
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
   </head>
   <body>
    <div style="text-align: center;">
     <h1><xsl:value-of select="/album/nazev"/></h1>
     <h2><xsl:value-of select="/album/datum"/></h2>
     <xsl:apply-templates/>
    </div> 
   </body>
  </html>
 </xsl:template>
 
 <xsl:template match="album/nazev|album/datum|skin|pict|foto|fotka[@src!=$pict]"/>

 <xsl:template match="fotka[@src=$pict]">
   <p>
   <xsl:value-of select="datum"/>: <xsl:value-of select="popis"/>
   </p>
   <div>
    <a href="album.html?skin={$skin}">
     <img src="{@src}.jpg"/>
    </a>
    &#160;&#160;&#160;
    <xsl:if test="position()&lt;last()-1">
     <a>
      <xsl:attribute name="href">
       <xsl:text>foto.html?skin=</xsl:text>
       <xsl:value-of select="$skin"/>
       <xsl:text>&amp;pict=</xsl:text>
       <xsl:value-of select="following-sibling::fotka/@src"/>
      </xsl:attribute>	
      <img>
       <xsl:attribute name="src">nahled/<xsl:value-of select="following-sibling::fotka/@src"/>.jpg</xsl:attribute>	
      </img>
     </a>
    </xsl:if>
    </div>
 </xsl:template>

</xsl:stylesheet>
